%define  xfontdir        %{_datadir}/fonts
%define update_cache    /usr/bin/fc-cache 
%define langlist        "bengali hindi gujarati tamil punjabi kannada malayalam oriya telugu"

Name:        fonts-indic
Version:     2.1.5
Release:     3%{?dist}
License:     GPLv2+
Group:       User Interface/X
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:         http://fedoraproject.org/wiki/Lohit

Summary: Free Indian truetype/opentype fonts
%description 
This is a meta-package for Hindi, Bengali, Gujarati, Punjabi, Tamil,
Kannada, Malayalam, Oriya, Telugu fonts.

# mk_pkg <name> <lang-code> 
%define mk_pkg() \
%package -n fonts-%1\
Summary:     Meta-package for %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") fonts\
Group:       User Interface/X\
Requires:    lohit-fonts-%1\
\
%description -n fonts-%1\
This is a meta-package for %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") fonts support.\
\
%files -n fonts-%1\
%defattr(-,root,root,-)

%mk_pkg bengali
%mk_pkg gujarati
%mk_pkg hindi
%mk_pkg kannada
%mk_pkg malayalam
%mk_pkg oriya
%mk_pkg punjabi
%mk_pkg tamil
%mk_pkg telugu

%prep
%{nil}

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 24 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5-3.fc8
- this is now a meta-package since Lohit fonts were moved to
  lohit-fonts (#253158)
- each subpackage requires the corresponding lohit-fonts subpackage

* Fri Jul 27 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.5-2.fc8
- SPEC cleanup as part of merge review #225763

* Mon Mar 26 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5
- Resolved Bugs from Parag Nemade
- Bug 231965: [kn_IN] wrong Conjuct combines during the formation kannada letter [yo]
- Bug 233257: [kn_IN] Conjuct combination of U0CAE with U0CCB is rendering wrongly
- Bug 233415: [kn_IN] GSUB's combinaing with additional dependent vowel are not rendering correctly
- Bug 233554: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC0 are not rendering correctly
- Bug 233555: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC7 are not rendering correctly
- Bug 233556: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC6 are not rendering correctly
- Bug 233557: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC8 are not rendering correctly
- Bug 233558: [kn_IN] GSUB's combinaing with additional dependent vowel U0CCBare not rendering correctly
- Bug 233559: [kn_IN] GSUB's combinaing with additional dependent vowel U0CBE are not rendering correctly
- Bug 233560: [kn_IN] GSUB's combinaing with additional dependent vowel U0CBF are not rendering correctly

* Mon Mar 05 2007 Parag Nemade <pnemade@redhat.com> - 2.1.4
- Resolved Bugs from Parag Nemade
- Bug 221383: [kn_IN] GSUB combinations has problem with Ra

* Mon Feb 19 2007 Parag Nemade <pnemade@redhat.com> - 2.1.3-1
- Resolved Bugs from Parag Nemade
- Bug 202401: [ta_IN] New codepoints/glyphs in Unicode 5.0
- Bug 223774: [kn_IN] Some Ligature rules are wrong in the font file
- Bug 223971: [kn_IN] Consonant + Halant + Consonant + Dependent Vowel not appearing properly in some rare cases
- Bug 227971: [kn_IN] Combinations with 2 Halants not rendering properly

* Thu Feb 08 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-3
- Updated SPEC file to solve cache problems by adding -f to post* sections.

* Thu Feb 01 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-2
- Updated SPEC file as part of core/extras merge

* Tue Jan 18 2007 Parag Nemade <pnemade@redhat.com> - 2.1.2-1
- Resolved Bugs from Parag Nemade
- Bug 222407: [or_IN] [fonts-indic] - One GSUB Conjunct is not appearing with its correct shape
- Bug 206434: [ml_IN] Digits are appearing in English instead of malayalam - Priority C
- Bug 215894: Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other devnagari characters (hi_IN, mr_IN)
- Bug 222408: [te_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- Bug 222409: [kn_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- Bug 221384: [kn_IN] - shape of ra (U+0CB0) is not corret in combined character (below base)
- Added AUTHORS,README to %%doc

* Fri Jan 12 2007 Parag Nemade <pnemade@redhat.com> - 2.0.13-1
- Resolves: RH#220880 for [or_IN], RH#222406 for [ml_IN] (Parag Nemade)

* Thu Jan 04 2007 Parag Nemade <pnemade@redhat.com> - 2.0.12-1
- Resolves: RH#220881 for [ta_IN], RH#220882 for [hi_IN] (Parag Nemade)

* Thu Jan 04 2007 Parag Nemade <pnemade@redhat.com> - 2.0.11-1
- Resolves: RH#216639 and RH#217482 for [kn_IN] (Parag Nemade)
- Resolves: RH#219583 for [pa_IN] (Parag Nemade)
- Resolves: RH#218588 for [gu_IN] (Parag Nemade) 

* Tue Dec 06 2006 Parag Nemade <pnemade@redhat.com> - 2.0.10-1
- Resolved Bugs from Parag Nemade
- Resolves: bug 207269 for [ta_IN],bug 217482 for [kn_IN],bug 216628 for [ml_IN],bug 218588 for [gu_IN],bug 206599 for [te_IN]
- Resolved Bugs from LingNing Zhang
- Resolves: Bug 218586,bug 218587 for [ml_IN]

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.9-1
- Fixed Bugs from Parag Nemade 
- Bug 216060: [pa_IN]Lohit Punjabi: (U+0A03) Gurmukhi Sign Visarga right margin is too wide.

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.8-1
- Fixed Bugs from Parag Nemade 
- Bug 216629 : [te_IN] GPOS position should be at middle instead of left hand side - Priority B
- Bug 216631 : [or_IN] one GSUB Rule is wrongly defined - Priority A
- Bug 216628 : [ml] characters are not shown bold during selecting BOLD font
- Bug 216624 : [pa_IN] 0a01/0a03/0964/0965 is missing from font
- Bug 216634 : Glyphs for two combinations are wrong in Gujarati (gu_IN)
- Bug 197216 : [bn_IN]Incorrect glyph for conjunct
- Bug 215894 : Relative height of 0x0901 (and 0x0902) on 0x0915 is different than
               other devnagari characters (hi_IN, mr_IN) 
- Fixed Bugs from LingNing Zhang
- Bug 216626 : [as_IN] Pango - A particular char when Conjuncts, creates Cursor Nevigation Problem
- Bug 216627 : [ml_IN] The glyph of 0x25CC is not existing in lohit_ml.ttf
- Bug 216639 : [kn_IN] OTF rules to be fixed - Priority A

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.6-1
- fixed mr_IN: RH#208525, RH#208540 (LingNing Zhang)

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.5-1
- fixed hi/mr_IN: RH#206422, RH#208068, RH#206426 (Rahul Bhalerao)
- fixed bn_IN: RH#206286 (Rahul)
- fixed pa_IN: RH#143179 (Rahul)

* Tue Sep 26 2006 Leon Ho <llch@redhat.com> - 2.0.4-1
- fixed RH#206387, RH#206431, RH#202163, RH#192934 for ml_IN (Rahul Bhalerao)
- fixed RH#206581, RH#206950 for or_IN (Rahul)

* Mon Sep 18 2006 Leon Ho <llch@redhat.com> - 2.0.3-1
- fixed RH#206301, RH#206461, RH#206597, RH#206550, RH#206291, RH#206446, RH#206469, RH#206587, RH#206589, RH#187481, RH#206950 for or_IN by Rahul Bhalerao <rbhalera@redhat.com>

* Thu Sep 14 2006 Leon Ho <llch@redhat.com> - 2.0.2-1
- fixed RH#206228 for ml_IN

* Thu Aug 17 2006 Leon Ho <llch@redhat.com> - 2.0.1-1
- fixed RH#201041 for bn_IN
- fixed RH#197639, RH#202161, RH#202163 for ml_IN
- fixed RH#201998 for kn_IN

* Mon Jul 31 2006 Darshan Santani <dsantani@redhat.com> - 2.0-2
- Bug Fixes "Bengali" RH#179821,  RH#197216, RH#169110
- Bug Fixes "Punjabi" RH #167592.
- Bug Fixes "Hindi" RH#189334 

* Wed Jul 19 2006 Leon Ho <llch@redhat.com> - 2.0-1
- added 4 new indic fonts
- added the glyphs u+0964 and u+0965 (Danda and Double Danda) in Bengali, Punjabi and Tamil (RH#183144)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.10-2.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue May 17 2005 Leon Ho <llch@redhat.com> 1.10-2
- fix Requires: fontconfig (#151771)

* Mon May 16 2005 Leon Ho <llch@redhat.com> 1.10-1
- New punjabi fonts to fix RH#151630

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> 1.9-2
- Renaming s/panjabi/punjabi/ to fit the name in glibc

* Wed Feb 23 2005 Leon Ho <llch@redhat.com> 1.9-1
- Moved to fonts-indic

* Fri Nov 26 2004 Leon Ho <llch@redhat.com> 1.8-1
- rescaled some of the fonts (ta, gu) (#139990)
- fixed some of the char composition (#138150)
- disabled specific ascii glyphs from all the fonts (#140895)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com>
- Use the fc-cache with /usr/share/fonts instead of child directory

* Thu Nov  4 2004 Leon Ho <llch@redhat.com> 1.7-1
- updated with rescaled fonts (#137147, Jatin)
- repackaged into new sources with same filenames

* Tue Oct 19 2004 Leon Ho <llch@redhat.com>
- Updated the source with new names
- Updated with proper license info

* Thu Oct 14 2004 Leon Ho <llch@redhat.com>
- Updated the source. Five fonts are provided.
- Added COPYING for license

* Mon Oct 04 2004 Jatin Nansi <jnansi@redhat.com>
- added '-f' to fc-cache.
- changed the fc-cache command in the post* sections.
- Assign correct version nos.

* Mon Oct 04 2004 Leon Ho <llch@redhat.com>
- added /usr/share/fonts path to fc-cache cmd
- added minor version number

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com>
- review and cleanup
